# R package endorse: Bayesian Measurement Models for Analyzing Endorsement Experiments 
## by Yuki Shiraito and [Kosuke Imai](https://imai.fas.harvard.edu)
[![Travis-CI Build Status](https://travis-ci.org/SensitiveQuestions/endorse.png?branch=master)](https://travis-ci.org/SensitiveQuestions/endorse) [![CRAN_Status_Badge](http://www.r-pkg.org/badges/version/endorse)](https://cran.r-project.org/package=endorse) ![CRAN downloads](http://cranlogs.r-pkg.org/badges/grand-total/endorse)

This package fits the hierarchical and non-hierarchical Bayesian measurement models proposed by [Bullock, Imai, and Shapiro (2011)](https://doi.org/10.1093/pan/mpr031) to analyze endorsement experiments.  Endorsement experiments are a survey methodology for eliciting truthful responses to sensitive questions.  This methodology is helpful when measuring support for socially sensitive political actors such as militant groups.  The model is fitted with a Markov chain Monte Carlo algorithm and produces the output containing draws from the posterior distribution. 
